const language = [
    {
        'key': 'en',
        'value': {
            'Please keep this website page or': 'Please keep this website page or',
            'Take a Screenshot': 'Take a Screenshot',
            'of the page for verification of the winning.': 'of the page for verification of the winning.',
            'unpaid': 'Unpaid',
            'paid': 'Paid',
            'redeemed': 'Redeemed',
            'refunded': 'Refunded',
            'money uncollected': 'Money Uncollected',
            'money collected': 'Money Collected',
            'payout done': 'Payout Done',
            'running': 'Running',
            'halfwon': 'Half Won',
            'won': 'Won',
            'halflose': 'Half Lose',
            'lose': 'Lose',
            'draw': 'Draw',
            'void': 'Void',
            'waiting': 'Waiting',
            'bet time': 'Bet Time',
            'stake': 'Stake',
            'total stake': 'Total Stake',
            'winlose': 'Winlose',
            'payout': 'Payout',
            'refund': 'Refund',
            "collect money": "Collect Money",
            'Please show this page to Cashier. Please keep this website page or take a screenshot of the page for verification of the winning.': 'Please show this page to Cashier. Please keep this website page or take a screenshot of the page for verification of the winning.',
            'Total Stake': 'Total Stake',
            'Total Payout': 'Total Payout',
            'Make sure the QR Code you scan is from the player under your account ascash agent': 'Make sure the QR Code you scan is from the player under your account ascash agent',
            'Loading': 'Loading...',
            'No Data': 'No Data',
            'Date': 'Date',
            'Time': 'Time',
            'Stake': 'Stake',
            'ok': 'OK',
            'Please use your mobile phone to scan the QR Code to retrieve the bet slip and complete the payment within 3 minutes, or the bet slip will be canceled.': 'Please use your mobile phone to scan the QR Code to retrieve the bet slip and complete the payment within 3 minutes, or the bet slip will be canceled.',
            'Scan QR Code': 'Scan QR Code',
            'I Already Scanned': 'I Already Scanned',
            'Please keep this website page or Take a screenshot of the page for verification of the winning': 'Please keep this website page or Take a screenshot of the page for verification of the winning',
            'Cancel': 'Cancel',
            'sports payout': 'sports payout',
        }
    },
    {
        'key': 'es',
        'value': {
            'Please keep this website page or': 'Conserve la página de este sitio web o',
            'Take a Screenshot': 'Tome una captura de pantalla',
            'of the page for verification of the winning.': 'de la página para verificar el ganador.',
            'unpaid': 'No Pagado',
            "paid": "pagado",
            "redeemed": "redimido",
            "refunded": "reintegrado",
            "money uncollected": "dinero no cobrado",
            "money collected": "dinero recaudado",
            "payout done": "pago realizado",
            "running": "iniciar",
            "halfwon": "medio ganado",
            "won": "ganado",
            "halflose": "medio perder",
            "lose": "perder",
            "draw": "dibujar",
            "void": "vacío",
            "waiting": "espera",
            "bet time": "tiempo de apuesta",
            "stake": "apostar",
            "total stake": "apuesta total",
            "winlose": "ganar-perder",
            "payout": "pagar",
            "refund": "reembolso",
            "collect money": "recolectar dinero",
            "Please show this page to Cashier. Please keep this website page or take a screenshot of the page for verification of the winning.": "Por favor, muestre esta página al cajero. Guarde esta página web o tome una captura de pantalla para verificar la ganancia.",
            "Total Stake": "Apuesta total",
            "Total Payout": "Pago total",
            "Make sure the QR Code you scan is from the player under your account ascash agent": "Asegúrese de que el código QR que escanea sea del jugador bajo su agente de ascash",
            'No Data': 'Sin datos',
            'Loading...': 'Cargando...',
            'Date': 'Fecha',
            'Time': 'Hora',
            'Stake': 'Apuesta',
            'ok': 'DE ACUERDO',
            'Please use your mobile phone to scan the QR Code to retrieve the bet slip and complete the payment within 3 minutes, or the bet slip will be canceled.': 'Utilice su teléfono móvil para escanear el código QR para recuperar el boleto de apuestas y completar el pago en 3 minutos, o el boleto de apuestas se cancelará.',
            'Scan QR Code': 'Escanear código QR',
            'I Already Scanned': 'Ya escaneé',
            'Please keep this website page or Take a screenshot of the page for verification of the winning': 'Conserve la página de este sitio web o tome una captura de pantalla de la página para verificar el ganador.',
            'Cancel': 'Cancelar',
            'sports payout': 'pago deportivo',
        }
    },
    {
        'key': 'br',
        'value': {
            "Please keep this website page or":"Por favor, mantenha esta página da web ou",
            "Take a Screenshot":"Tire uma captura de tela",
            "of the page for verification of the winning.":"da página para verificação do ganho.",
            "unpaid":"não pago",
            "paid":"pago",
            "redeemed":"resgatado",
            "refunded":"reembolsado",
            "money uncollected":"dinheiro não coletado",
            "money collected":"dinheiro coletado",
            "payout done":"pagamento efetuado",
            "running":"em andamento",
            "halfwon":"meio ganho",
            "won":"ganho",
            "halflose":"meio perdido",
            "lose":"perdido",
            "draw":"empate",
            "void":"nulo",
            "waiting":"aguardando",
            "bet time":"hora da aposta",
            "stake":"aposta",
            "total stake":"aposta total",
            "winlose":"ganho/perda",
            "payout":"pagamento",
            "refund":"reembolso",
            "collect money":"coletar dinheiro",
            "Please show this page to Cashier. Please keep this website page or take a screenshot of the page for verification of the winning.":"Por favor, mostre esta página ao caixa. Mantenha esta página da web ou tire uma captura de tela da página para verificação do ganho.",
            "Total Stake":"Aposta Total",
            "Total Payout":"Pagamento Total",
            "Make sure the QR Code you scan is from the player under your account ascash agent":"Certifique-se de que o Código QR que você escaneia é do jogador sob a sua conta como agente de dinheiro",
            "No Data":"Sem Dados",
            "Loading...":"Carregando…",
            "Date":"Data",
            "Time":"Hora",
            "Stake":"Aposta",
            "ok":"ok",
            "Please use your mobile phone to scan the QR Code to retrieve the bet slip and complete the payment within 3 minutes, or the bet slip will be canceled.":"Por favor, use seu telefone celular para escanear o Código QR para recuperar o comprovante de aposta e completar o pagamento dentro de 3 minutos, ou o comprovante de aposta será cancelado.",
            "Scan QR Code":"Escanear Código QR",
            "I Already Scanned":"Já Escaneei",
            "Please keep this website page or Take a screenshot of the page for verification of the winning":"Por favor, mantenha esta página da web ou tire uma captura de tela da página para verificação do ganho",
            "Cancel":"Cancelar",
            "sports payout":"pagamento de apostas esportivas",
        }
    }
]

const sportQrHelper = {
    getLang: (key: string, lang: string) => {
        const langObj = language.find((item) => item.key === lang) ?? language[0];
        return langObj.value[key];
    }
}

export default sportQrHelper;